## Description ##
The template used in creating this service has the configuration inclusive of 
1. `Consul` - Service Registry and Discovery
2. `Hystrix` - Circuit Breaker
3. `RabbitMQ` - Message Broker
4. `SpringBootAdmin` - Service Monitoring
5. `ElasticSearch` - Log Indexer 
6. `Logstash` - Log Collector
7. `Kibana` - Log Visualizer
8. `Zipkin` - Log Trace Collector
9. `SpringCloudSleuth` - Log Tracing
10. `Togglz` - Feature Toggles
11. `Swagger` - API documentation

## Workflows ##
# Idea Category(Areas of Impact) #
- This is treated as an `admin` activity which is mandatory and has to be created at first place.
- Create and update of a idea category is handled by `saveCategory`. Each category consists of a set of reviewers who would be responsible for approving the ideas submitted in that category.

# Idea #
- Any employee can create an idea under defined categories and submit for approval or save as draft for later editing. 
- The employee who created the idea would be treated as `INNOVATOR`. The innovator can invite other employees as `CO_INNOVATOR`(who will be sharing the same privileges as innovator) and `MEMBER`(having only the read privileges).
- Once the idea is being approved by the corresponding reviewer of a category it would published in the system where everyone can view the idea.
- Interested employee can join an idea as a `MEMBER` and contribute. 
- Create and update of an idea is handled by `saveIdea`.
